# Update an action

Completes, dismisses or reopens an action by setting its status, or assigns it to a member. Setting the status to todo reopens it. Completing an action only marks it as completed: it does not send the action’s email.

Endpoint: PATCH /organizations/{organizationId}/actions/{actionId}
Version: 1.0.64
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Path parameters:

  - `organizationId` (string, required)
    Organization ID of the member accessing the resource

  - `actionId` (integer, required)

## Request fields (application/json):

  - `status` (string)
    Actions start as todo, and are resolved by a member either completing or dismissing them. Hook also dismisses an agent’s actions once nobody has updated them for a number of days set for the organization.
    Enum: "todo", "completed", "dismissed"

  - `assigneeId` (integer)
    The member to assign the action to, or null to leave it unassigned

## Response 200:

  - `200` (unknown)
    Default Response

## Response 200 fields (application/json):

  - `id` (integer, required)

  - `groupId` (integer, required)

  - `name` (string, required)

  - `rationale` (string, required)

  - `status` (string, required)
    Actions start as todo, and are resolved by a member either completing or dismissing them. Hook also dismisses an agent’s actions once nobody has updated them for a number of days set for the organization.
    Enum: "todo", "completed", "dismissed"

  - `assignee` (object, required)

  - `assignee.id` (integer, required)

  - `assignee.firstName` (string, required)

  - `assignee.lastName` (string, required)

  - `completedBy` (object, required)

  - `dismissedBy` (object, required)
    The member who dismissed the action. Null when Hook dismissed it automatically, see dismissalSource.

  - `dismissalSource` (string, required)
    Whether a dismissed action was dismissed by a member, or automatically by Hook.
    Enum: "member", "system"

  - `completedDate` (string, required)

  - `dismissedDate` (string, required)

  - `createdDate` (string, required)

  - `updatedDate` (string, required)

  - `content` (any, required)

  - `content.type` (string, required)
    Enum: "email", "human"

  - `content.subject` (string, required)

  - `content.body` (string, required)
    The email body as HTML.

  - `content.sentDate` (string, required)

  - `content.to` (array, required)

  - `content.to.email` (string, required)

  - `content.to.firstName` (string, required)

  - `content.to.lastName` (string, required)

  - `content.to.contactId` (integer, required)

  - `content.to.memberId` (integer, required)

  - `content.cc` (array, required)

  - `content.bcc` (array, required)

  - `content.body` (string, required)
    The body as markdown.

  - `content.recipients` (array, required)

